Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/32023/?format=api
{ "ob_id": 32023, "uuid": "7f7f7056fdc049bb9bb575c18290bd68", "title": "Cape Verde Atmospheric Observatory: High-precision long-term atmospheric measurements of greenhouse gases (CO, CO2, N2O and CH4 ) using Off-Axis Integrated-Cavity Output Spectroscopy (OA-ICOS) (2011 onwards).", "abstract": "Data from observations made at the Cape Verde Atmospheric Observatory (CVAO) which exists to advance understanding of climatically significant interactions between the atmosphere and ocean and to provide a regional focal point and long-term data. \r\n\r\nThe observatory is based on Calhau Island of São Vicente, Cape Verde at 16.848N, 24.871W, in the tropical Eastern North Atlantic Ocean, a region which is data poor but plays a key role in atmosphere-ocean interactions of climate-related and biogeochemical parameters including greenhouse gases. It is an open-ocean site that is representative of a region likely to be sensitive to future climate change, and is minimally influenced by local effects and intermittent continental pollution. \r\n\r\nSince November 2011, real-time N2O (Nitrous Oxide) and CO (Carbon Monoxide) concentrations have been simultaneously and continuously measured using an Off-Axis Integrated-Cavity Output Spectroscopy (OA-ICOS) analyser (Los Gatos Inc). In November 2012, a Greenhouse Gas Analyser (GGA) using the same fundamental measuring technique was added and placed in series to measure CO2 (Carbon Dioxide) and CH4 (Methane) concentrations. Both devices are configured to sample at a frequency of 1Hz and both have the precision and accuracy to conform to measurement recommendations as defined by Global Atmosphere Watch (GAW). \r\n\r\nThe dataset contains hourly measurements of CO, CO2, N2O and CH4. Data were collected by collaboration between the University of Exeter and the Max Planck Institute for Biogeochemistry.", "keywords": "Cape Verde, capeverde, greenhouse gas", "publicationState": "published", "dataPublishedTime": "2021-04-21T11:37:15", "doiPublishedTime": null, "updateFrequency": "asNeeded", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/32452/?format=api", "dataPath": "/badc/capeverde/data/mp-oa-icos/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 69509840, "numberOfFiles": 1200, "fileFormat": "BADC-CSV" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/8916/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/12/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/86884/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/86885/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/86886/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/86887/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/86888/?format=api" ], "dataLineage": "Data were collected by collaboration between the University of Exeter and the Max Planck Institute for Biogeochemistry; and deposited at the Centre for Environmental Data Analysis (CEDA) for archiving.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/875/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/872/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/141913/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/141906/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/141908/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/141909/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/141910/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/141911/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/141912/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/141907/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/141914/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/195969/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/141915/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/141916/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/141917/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/28053/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }